#ifndef _ANTIOCH_CONFIG_H
#define _ANTIOCH_CONFIG_H 1
 
/* antioch_config.h. Generated automatically at end of configure. */
/* antioch_config.h.tmp.  Generated from antioch_config.h.tmp.in by configure.  */
/* antioch_config.h.tmp.in.  Generated from configure.ac by autoheader.  */

/* Architecture of the build host */
#ifndef ANTIOCH_BUILD_ARCH
#define ANTIOCH_BUILD_ARCH "x86_64-portbld-dragonfly6.5"
#endif

/* Build date */
#ifndef ANTIOCH_BUILD_DATE
#define ANTIOCH_BUILD_DATE __DATE__ " " __TIME__
#endif

/* Dev/Release build */
#ifndef ANTIOCH_BUILD_DEVSTATUS
#define ANTIOCH_BUILD_DEVSTATUS "External Release"
#endif

/* Build host name */
#ifndef ANTIOCH_BUILD_HOST
#define ANTIOCH_BUILD_HOST "thor.dragonflybsd.org"
#endif

/* The fine user who built the package */
#ifndef ANTIOCH_BUILD_USER
#define ANTIOCH_BUILD_USER "root"
#endif

/* SVN revision */
#ifndef ANTIOCH_BUILD_VERSION
#define ANTIOCH_BUILD_VERSION "external"
#endif

/* Blottner model, default data */
#ifndef ANTIOCH_DEFAULT_BLOTTNER_DATA
#define ANTIOCH_DEFAULT_BLOTTNER_DATA "antioch_default_blottner_coefficient.dat"
#endif

/* Mandatory default informations on species */
#ifndef ANTIOCH_DEFAULT_CHEMICAL_MIXTURE
#define ANTIOCH_DEFAULT_CHEMICAL_MIXTURE "antioch_default_chemical_mixture.dat"
#endif

/* Electronic default data */
#ifndef ANTIOCH_DEFAULT_ELECTRONIC_DATA
#define ANTIOCH_DEFAULT_ELECTRONIC_DATA "antioch_default_electronic_data.dat"
#endif

/* Path to defaults files in install tree. */
#ifndef ANTIOCH_DEFAULT_FILES_INSTALL_PATH
#define ANTIOCH_DEFAULT_FILES_INSTALL_PATH "/usr/local/share/antioch/default_files/"
#endif

/* Path to defaults files in source tree. */
#ifndef ANTIOCH_DEFAULT_FILES_SOURCE_PATH
#define ANTIOCH_DEFAULT_FILES_SOURCE_PATH "/construction/science/antioch/antioch-0.4.0-156-g90ffa43/share/antioch/default_files/"
#endif

/* Default list of species */
#ifndef ANTIOCH_DEFAULT_SPECIES_LIST
#define ANTIOCH_DEFAULT_SPECIES_LIST "antioch_default_chemical_species.dat"
#endif

/* Sutherland model, default data */
#ifndef ANTIOCH_DEFAULT_SUTHERLAND_DATA
#define ANTIOCH_DEFAULT_SUTHERLAND_DATA "antioch_default_sutherland_coefficient.dat"
#endif

/* Thermodynamic default data, NASA polynom */
#ifndef ANTIOCH_DEFAULT_THERMO_DATA
#define ANTIOCH_DEFAULT_THERMO_DATA "antioch_default_thermo_data.dat"
#endif

/* Data needed for transport computations */
#ifndef ANTIOCH_DEFAULT_TRANSPORT_DATA
#define ANTIOCH_DEFAULT_TRANSPORT_DATA "antioch_default_transport_species_data.dat"
#endif

/* Vibrational default data */
#ifndef ANTIOCH_DEFAULT_VIBRATIONAL_DATA
#define ANTIOCH_DEFAULT_VIBRATIONAL_DATA "antioch_default_vibrational_data.dat"
#endif

/* define if the compiler supports trailing decltype(this->f()) */
/* #undef HAVE_AUTO_THIS */

/* Defined if the requested minimum BOOST version is satisfied */
/* #undef HAVE_BOOST */

/* Define to 1 if you have <boost/chrono.hpp> */
/* #undef HAVE_BOOST_CHRONO_HPP */

/* Define to 1 if you have <boost/date_time/posix_time/posix_time.hpp> */
/* #undef HAVE_BOOST_DATE_TIME_POSIX_TIME_POSIX_TIME_HPP */

/* Define to 1 if you have <boost/filesystem/path.hpp> */
/* #undef HAVE_BOOST_FILESYSTEM_PATH_HPP */

/* Define to 1 if you have <boost/numeric/ublas/vector.hpp> */
/* #undef HAVE_BOOST_NUMERIC_UBLAS_VECTOR_HPP */

/* Define to 1 if you have <boost/system/error_code.hpp> */
/* #undef HAVE_BOOST_SYSTEM_ERROR_CODE_HPP */

/* Define to 1 if you have <boost/thread.hpp> */
/* #undef HAVE_BOOST_THREAD_HPP */

/* Define to 1 if you have the <CL/cl.h> header file. */
#ifndef ANTIOCH_HAVE_CL_CL_H
#define ANTIOCH_HAVE_CL_CL_H 1
#endif

/* Enable CPPUnit Tests */
/* #undef HAVE_CPPUNIT */

/* define if the compiler supports basic C++11 syntax */
#ifndef ANTIOCH_HAVE_CXX11
#define ANTIOCH_HAVE_CXX11 1
#endif

/* define if the compiler supports static_assert */
#ifndef ANTIOCH_HAVE_CXX_STATIC_ASSERT
#define ANTIOCH_HAVE_CXX_STATIC_ASSERT 1
#endif

/* Define to 1 if you have the <dlfcn.h> header file. */
#ifndef ANTIOCH_HAVE_DLFCN_H
#define ANTIOCH_HAVE_DLFCN_H 1
#endif

/* Flag indicating whether the library will be compiled with Eigen support */
#ifndef ANTIOCH_HAVE_EIGEN
#define ANTIOCH_HAVE_EIGEN 1
#endif

/* Define to 1 if you have the <Eigen/Dense> header file. */
#ifndef ANTIOCH_HAVE_EIGEN_DENSE
#define ANTIOCH_HAVE_EIGEN_DENSE 1
#endif

/* Define to 1 if you have the <Eigen/Sparse> header file. */
/* #undef HAVE_EIGEN_SPARSE */

/* Define if GRVY is available */
/* #undef HAVE_GRVY */

/* Define if GSL is available */
#ifndef ANTIOCH_HAVE_GSL
#define ANTIOCH_HAVE_GSL 1
#endif

/* Define to 1 if you have the <inttypes.h> header file. */
#ifndef ANTIOCH_HAVE_INTTYPES_H
#define ANTIOCH_HAVE_INTTYPES_H 1
#endif

/* Define if MetaPhysicL is available */
#ifndef ANTIOCH_HAVE_METAPHYSICL
#define ANTIOCH_HAVE_METAPHYSICL 1
#endif

/* Define to 1 if you have the <OpenCL/cl.h> header file. */
/* #undef HAVE_OPENCL_CL_H */

/* Define if you have POSIX threads libraries and header files. */
#ifndef ANTIOCH_HAVE_PTHREAD
#define ANTIOCH_HAVE_PTHREAD 1
#endif

/* Define to 1 if you have the <stdint.h> header file. */
#ifndef ANTIOCH_HAVE_STDINT_H
#define ANTIOCH_HAVE_STDINT_H 1
#endif

/* Define to 1 if you have the <stdio.h> header file. */
#ifndef ANTIOCH_HAVE_STDIO_H
#define ANTIOCH_HAVE_STDIO_H 1
#endif

/* Define to 1 if you have the <stdlib.h> header file. */
#ifndef ANTIOCH_HAVE_STDLIB_H
#define ANTIOCH_HAVE_STDLIB_H 1
#endif

/* Define to 1 if you have the <strings.h> header file. */
#ifndef ANTIOCH_HAVE_STRINGS_H
#define ANTIOCH_HAVE_STRINGS_H 1
#endif

/* Define to 1 if you have the <string.h> header file. */
#ifndef ANTIOCH_HAVE_STRING_H
#define ANTIOCH_HAVE_STRING_H 1
#endif

/* Define to 1 if you have the <sys/stat.h> header file. */
#ifndef ANTIOCH_HAVE_SYS_STAT_H
#define ANTIOCH_HAVE_SYS_STAT_H 1
#endif

/* Define to 1 if you have the <sys/types.h> header file. */
#ifndef ANTIOCH_HAVE_SYS_TYPES_H
#define ANTIOCH_HAVE_SYS_TYPES_H 1
#endif

/* Define to 1 if you have the <unistd.h> header file. */
#ifndef ANTIOCH_HAVE_UNISTD_H
#define ANTIOCH_HAVE_UNISTD_H 1
#endif

/* Define if VEXCL is available */
/* #undef HAVE_VEXCL */

/* Define if VIENNACL is available */
#ifndef ANTIOCH_HAVE_VIENNACL
#define ANTIOCH_HAVE_VIENNACL 1
#endif

/* Define to 1 if you have the <windows.h> header file. */
/* #undef HAVE_WINDOWS_H */

/* Define to the sub-directory where libtool stores uninstalled libraries. */
#ifndef ANTIOCH_LT_OBJDIR
#define ANTIOCH_LT_OBJDIR ".libs/"
#endif

/* Major version */
#ifndef ANTIOCH_MAJOR_VERSION
#define ANTIOCH_MAJOR_VERSION 0
#endif

/* Micro version */
#ifndef ANTIOCH_MICRO_VERSION
#define ANTIOCH_MICRO_VERSION 0
#endif

/* Minor version */
#ifndef ANTIOCH_MINOR_VERSION
#define ANTIOCH_MINOR_VERSION 5
#endif

/* number of runs done in each vector test */
#ifndef ANTIOCH_N_RUNS
#define ANTIOCH_N_RUNS 1
#endif

/* number of tuples used in each vector test */
#ifndef ANTIOCH_N_TUPLES
#define ANTIOCH_N_TUPLES 2
#endif

/* Define to the address where bug reports for this package should be sent. */
#ifndef ANTIOCH_PACKAGE_BUGREPORT
#define ANTIOCH_PACKAGE_BUGREPORT "antioch-users@googlegroups.com"
#endif

/* Define to the full name of this package. */
#ifndef ANTIOCH_PACKAGE_NAME
#define ANTIOCH_PACKAGE_NAME "Antioch"
#endif

/* Define to the full name and version of this package. */
#ifndef ANTIOCH_PACKAGE_STRING
#define ANTIOCH_PACKAGE_STRING "Antioch 0.5.0"
#endif

/* Define to the one symbol short name of this package. */
#ifndef ANTIOCH_PACKAGE_TARNAME
#define ANTIOCH_PACKAGE_TARNAME "antioch"
#endif

/* Define to the home page for this package. */
#ifndef ANTIOCH_PACKAGE_URL
#define ANTIOCH_PACKAGE_URL ""
#endif

/* Define to the version of this package. */
#ifndef ANTIOCH_PACKAGE_VERSION
#define ANTIOCH_PACKAGE_VERSION "0.5.0"
#endif

/* Define to necessary symbol if this constant uses a non-standard name on
   your system. */
/* #undef PTHREAD_CREATE_JOINABLE */

/* Path to shared XML input files in install tree. */
#ifndef ANTIOCH_SHARE_XML_INPUT_FILES_INSTALL_PATH
#define ANTIOCH_SHARE_XML_INPUT_FILES_INSTALL_PATH "/usr/local/share/xml_inputs/"
#endif

/* Path to shared XML input files in source tree. */
#ifndef ANTIOCH_SHARE_XML_INPUT_FILES_SOURCE_PATH
#define ANTIOCH_SHARE_XML_INPUT_FILES_SOURCE_PATH "/construction/science/antioch/antioch-0.4.0-156-g90ffa43/share/xml_inputs/"
#endif

/* Define to 1 if all of the C90 standard headers exist (not just the ones
   required in a freestanding environment). This macro is provided for
   backward compatibility; new code need not use it. */
#ifndef ANTIOCH_STDC_HEADERS
#define ANTIOCH_STDC_HEADERS 1
#endif

/* Path to input files for testing. */
#ifndef ANTIOCH_TESTING_INPUT_FILES_PATH
#define ANTIOCH_TESTING_INPUT_FILES_PATH "/construction/science/antioch/antioch-0.4.0-156-g90ffa43/test/input_files/"
#endif

/* Define this for the OpenCL Accelerator */
#ifndef ANTIOCH__OPENCL
#define ANTIOCH__OPENCL 1
#endif
 
/* once: _ANTIOCH_CONFIG_H */
#endif
